See the top rated post in this thread. Click here

Results 1 to 9 of 9

Thread: How to turn off dim extension line 1 or 2

  1. #1
    I could stop if I wanted to
    Join Date
    2003-11
    Posts
    450
    Login to Give a bone
    0

    Default How to turn off dim extension line 1 or 2

    Is there a way to turn off 1 or both of the extension lines of a dimension? I couldn't find a dxf code. Is there a way to do this?

    Thanks

  2. #2
    I could stop if I wanted to
    Join Date
    2007-05
    Location
    Brookfield WI
    Posts
    331
    Login to Give a bone
    0

    Default Re: How to turn off dim extension line 1 or 2

    not sure if this helps you or not...might be of assistance down the road though
    Attached Files Attached Files
    Last edited by d_m_hopper; 2008-01-25 at 04:25 AM.

  3. #3
    I could stop if I wanted to
    Join Date
    2007-05
    Location
    Brookfield WI
    Posts
    331
    Login to Give a bone
    0

    Default Re: How to turn off dim extension line 1 or 2

    dimse1 and dimse2 <options> <on/off> btw I use 2008

    you can use setvar in your code to achieve what you are looking for

  4. #4
    Certifiable AUGI Addict tedg's Avatar
    Join Date
    2005-06
    Location
    in the upper right corner
    Posts
    3,507
    Login to Give a bone
    0

    Default Re: How to turn off dim extension line 1 or 2

    Quote Originally Posted by boesiii View Post
    Is there a way to turn off 1 or both of the extension lines of a dimension? I couldn't find a dxf code. Is there a way to do this?

    Thanks
    Here's some code to turn both extension lines off.
    (Thanks to d_m_hopper for the variables)
    Code:
    (defun c:deo (/ dm d1 d2)
    (setq dm (ssget))
    (setq d1 (getvar "dimse1"))
    (setq d2 (getvar "dimse2"))
    (setvar "dimse1" 1)
    (setvar "dimse2" 1)
    (command "dim" "update" dm "" "exit")
    (setvar "dimse1" d1)
    (setvar "dimse2" d2)
    (princ)
    )
    It worked pretty good when I tested it.

  5. #5
    I could stop if I wanted to
    Join Date
    2003-11
    Posts
    450
    Login to Give a bone
    0

    Default Re: How to turn off dim extension line 1 or 2

    Thanks Ted,

    That worked perfectly, it changes the extension lines and also keeps my dimstyle unchanged.

  6. #6
    Certifiable AUGI Addict tedg's Avatar
    Join Date
    2005-06
    Location
    in the upper right corner
    Posts
    3,507
    Login to Give a bone
    0

    Default Re: How to turn off dim extension line 1 or 2

    Quote Originally Posted by boesiii View Post
    Thanks Ted,

    That worked perfectly, it changes the extension lines and also keeps my dimstyle unchanged.
    Your welcome.

  7. #7
    100 Club
    Join Date
    2005-09
    Posts
    111
    Login to Give a bone
    1

    Default Re: How to turn off dim extension line 1 or 2

    Quote Originally Posted by tedg View Post
    Here's some code to turn both extension lines off.
    (Thanks to d_m_hopper for the variables)
    Code:
    (defun c:deo (/ dm d1 d2)
    (setq dm (ssget))
    (setq d1 (getvar "dimse1"))
    (setq d2 (getvar "dimse2"))
    (setvar "dimse1" 1)
    (setvar "dimse2" 1)
    (command "dim" "update" dm "" "exit")
    (setvar "dimse1" d1)
    (setvar "dimse2" d2)
    (princ)
    )
    It worked pretty good when I tested it.
    Dear Ted,

    You can also use:
    Code:
    (defun c:deo2 ()
    (command "DIMOVERRIDE" "SE1" "1" "SE2" "1" "" (ssget) "")
    )
    Regards HofCAD CSI

  8. #8
    Certifiable AUGI Addict tedg's Avatar
    Join Date
    2005-06
    Location
    in the upper right corner
    Posts
    3,507
    Login to Give a bone
    0

    Default Re: How to turn off dim extension line 1 or 2

    Quote Originally Posted by hofcad View Post
    Dear Ted,

    You can also use:
    Code:
    (defun c:deo2 ()
    (command "DIMOVERRIDE" "SE1" "1" "SE2" "1" "" (ssget) "")
    )
    Regards HofCAD CSI
    Nice, thanks.
    My code can get a bit long, sometimes I don't think "simple" enough.

  9. #9
    Certifiable AUGI Addict tedg's Avatar
    Join Date
    2005-06
    Location
    in the upper right corner
    Posts
    3,507
    Login to Give a bone
    0

    Default Re: How to turn off dim extension line 1 or 2

    Quote Originally Posted by hofcad View Post
    Dear Ted,

    You can also use:
    Code:
    (defun c:deo2 ()
    (command "DIMOVERRIDE" "SE1" "1" "SE2" "1" "" (ssget) "")
    )
    Regards HofCAD CSI
    The only drawback I can see is it keeps the dimension override.
    Mine returns it to the previoius dimsyle settings.
    I modified it:
    Code:
    (defun c:deo2 ()
    (command "DIMOVERRIDE" "SE1" "1" "SE2" "1" "" (ssget) "")
    (command "DIMOVERRIDE" "SE1" "0" "SE2" "0" "" "")
    (princ)
    )
    (princ)

Similar Threads

  1. Replies: 0
    Last Post: 2011-11-22, 05:01 AM
  2. putting the center line icon on the extension line
    By ray salmon in forum Revit Architecture - General
    Replies: 2
    Last Post: 2009-04-13, 07:30 PM
  3. Extension line offset for each extension line
    By autocad.wishlist1734 in forum AutoCAD Wish List
    Replies: 1
    Last Post: 2006-07-21, 01:28 PM
  4. Turn off default .PLT extension
    By jtgb in forum AutoCAD Plotting
    Replies: 1
    Last Post: 2006-01-05, 01:46 PM
  5. Line Extension
    By C-CASALE in forum AutoCAD General
    Replies: 7
    Last Post: 2005-07-06, 01:52 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •